---
title: FileSystemEntry.isFile
slug: Web/API/FileSystemEntry/isFile
tags:
  - API
  - File System API
  - File and Directory Entries API
  - FileSystemEntry
  - Files
  - Non-standard
  - Offline
  - Property
  - Reference
  - isFile
---
<p>{{APIRef("File System API")}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The read-only <strong><code>isFile</code></strong> property of the {{domxref("FileSystemEntry")}} interface is <code>true</code> if the entry represents a file (meaning it's a {{domxref("FileSystemFileEntry")}}) and <code>false</code> if it's not.</span></p>

<p>You can also use {{domxref("FileSystemEntry.isDirectory", "isDirectory")}} to determine if the entry is a directory.</p>

<div class="warning">
<p>You should not assume that any entry which isn't a file is a directory or vice-versa. There are other types of file descriptors on many operating systems. Be sure to use both <code>isDirectory</code> and <code>isFile</code> as needed to ensure that the entry is something you know how to work with.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>isFile</em> = <em>FileSystemEntry</em>.isFile;</pre>

<h3 id="Value">Value</h3>

<p>A Boolean indicating whether or not the {{domxref("FileSystemEntry")}} is a file.</p>

<h2 id="Example">Example</h2>

<p>This example shows how this property might be used to determine whether to process the entry as a directory or file. If the entry is neither, an error handler is called with an appropriate message.</p>

<pre class="brush: js">if (entry.isDirectory) {
  processSubdirectory(entry);
} else if (entry.isFile) {
  processFile(entry);
} else {
  displayErrorMessage("Unsupported file system entry specified.");
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('File System API', '#dom-filesystementry-isfile', 'isFile') }}</td>
   <td>{{ Spec2('File System API') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FileSystemEntry.isFile")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API">File and Directory Entries API</a></li>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API/Introduction">Introduction to the File System API</a></li>
 <li>{{domxref("FileSystemEntry")}}</li>
 <li>{{domxref("FileSystemEntry.isDirectory")}}</li>
 <li>{{domxref("FileSystemFileEntry")}}</li>
</ul>
